#!/bin/sh

if ! test -f image/boot/isolinux/linux ; then
	echo "You are in the wrong directory"
	exit 1
fi

if ! test -f image/boot/loadlin/loadlin.exe ; then
	echo "You are in the wrong directory"
	exit 1
fi

if ! test -f image/boot/initrd.img ; then
	echo "You are in the wrong directory"
	exit 1
fi

if ! makebootfat -V > /dev/null ; then
	echo "You need first to install the makebootfat program"
	exit 1
fi

PARTITION=$1

if test -z $PARTITION ; then
	echo "You must specify a partition. For example /dev/hda2"
	exit 1
fi

echo "Creating the Partition, please wait..."
echo

if ! makebootfat \
	-v \
	-L AdvanceCD \
	-E 255 \
	-P \
	-o $PARTITION \
	-1 image/boot/loadlin/fat12com.bin \
	-2 image/boot/loadlin/fat16com.bin \
	-3 image/boot/loadlin/fat32lba.bin \
	-c image/boot/loadlin/kernel.sys \
	-c image/boot/loadlin/command.com \
	-c image/boot/loadlin/config.sys \
	-c image/boot/loadlin/autoexec.bat \
	-c image/boot/loadlin/loadlin.exe \
	-c image/boot/isolinux/linux \
	-c image/boot/initrd.img \
	-x image/boot/isolinux \
	-x image/boot/syslinux \
	-x image/boot/loadlin \
	-x image/boot/initrd.img \
	image ; then
	echo
	echo "Partition NOT created!"
	exit 1
fi

echo
echo "Partition created!"

